#include "MenuTextInventory_Player2Joystick.h"

InputSetting_Joystick* MenuTextInventory_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextInventory_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_inventory;
}

std::weak_ptr<Entity> MenuTextInventory_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextInventory_Player2Joystick()
{
	return std::make_shared<MenuTextInventory_Player2Joystick>();
}


